phrSetErrorFileOn {phreeqc} | R Documentation

## Set error file on/off.

### Description

Sets the error file switch on or off. This switch controls whether or not phreeqc writes to the error file. The initial setting is off.

### Usage

    phrSetErrorFileOn(value)

### Arguments

`value` | if TRUE, writes output to the the error file.

### Details

The try is necessary to keep the error message from displaying immediately.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Error: `phrGetErrorFileName`, `phrGetErrorFileOn`, `phrGetErrorStringsOn`, `phrGetErrorStrings`, `phrSetErrorFileName`, `phrSetErrorStringsOn`

### Examples

    # This example attempts to run ex1, fails, and writes the error
    # message to the error file (no database is loaded).
    phrSetErrorFileOn(TRUE)
    phrSetErrorFileName("phreeqc.errors")
    if (!is.null(try(phrRunString(ex1), silent=TRUE))) {
      cat("see", phrGetErrorFileName(), "\n")
    }

[Package phreeqc version 3.4.10 Index]